# class RSS::ITunesChannelModel::ITunesOwner

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/itunes.rb, line 217
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.itunes_name = args[0]
        self.itunes_email = args[1]
      end
    end

required_prefix() click to toggle source

    # File lib/rss/itunes.rb, line 199
    def required_prefix
      ITUNES_PREFIX
    end

required_uri() click to toggle source

    # File lib/rss/itunes.rb, line 203
    def required_uri
      ITUNES_URI
    end

### Public Instance Methods

full_name() click to toggle source

    # File lib/rss/itunes.rb, line 227
    def full_name
      tag_name_with_prefix(ITUNES_PREFIX)
    end

### Private Instance Methods

maker_target(target) click to toggle source

    # File lib/rss/itunes.rb, line 232
    def maker_target(target)
      target.itunes_owner
    end

setup_maker_element(owner) click to toggle source
Calls superclass method

    # File lib/rss/itunes.rb, line 236
    def setup_maker_element(owner)
      super(owner)
      owner.itunes_name = itunes_name
      owner.itunes_email = itunes_email
    end